#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
main () {
	int N,i,I=0;
	float pr[500],zar[500],drzar[500],maxdrzar=0,por=0,sum=0;
	scanf("%d",&N);
	for(i=0;i<N;i++) {
		scanf("%g%g",&zar[i],&pr[i]);
	}
	for(I;I<N;I++) {
		por=pr[I];
		sum=0;
		for(i=0;i<N;i++) {
				if (pr[i]>=por) {
					sum= sum+zar[i];
				}
			}
		drzar[I]=sum*(por/100);
	}
	for(i=0;i<N;i++) {
		if (maxdrzar<drzar[i]) {
			maxdrzar=drzar[i];
		}
	}
	printf("%f",maxdrzar);

}